## org.apache.lucene.xmlparser.builders
Class TermsQueryBuilder

    java.lang.Object
      org.apache.lucene.xmlparser.builders.TermsQueryBuilder

All Implemented Interfaces:
  QueryBuilder

    public class TermsQueryBuilder

extends java.lang.Object
implements QueryBuilder

Builds a BooleanQuery from all of the terms found in the XML element using the choice of analyzer

Constructor Summary
`TermsQueryBuilder(org.apache.lucene.analysis.Analyzer analyzer)`

Method Summary
`org.apache.lucene.search.Query` `getQuery(org.w3c.dom.Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TermsQueryBuilder

    public TermsQueryBuilder(org.apache.lucene.analysis.Analyzer analyzer)

Method Detail

### getQuery

    public org.apache.lucene.search.Query getQuery(org.w3c.dom.Element e)
                                            throws ParserException

  Specified by:
    `getQuery` in interface `QueryBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.